Sign inGet started

Members

GET
/organizations/{organizationId}/teams/{teamId}/members
List the members of the team.
Queryparameters
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
status
string
Possible values: active, invited, requested-to-join
Antwoord-payload
results
array of object
Onderliggende attributen tonen
results.id
string
verplicht
results.type
string
verplicht
Possible values: user
results.status
string
verplicht
Possible values: active, invited, requested-to-join
results.createdAt
string
verplicht
results.updatedAt
string
verplicht
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/teams/{teamId}/members
Add a member to the team.
Verzoek-payload
type
string
verplicht
Possible values: user
id
string
verplicht
Antwoord-payload
results
array of object
Onderliggende attributen tonen
results.id
string
verplicht
results.type
string
verplicht
Possible values: user
results.status
string
verplicht
Possible values: active, invited, requested-to-join
results.createdAt
string
verplicht
results.updatedAt
string
verplicht
Codevoorbeeld
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Retrieve a single team member.
Antwoord-payload
id
string
verplicht
type
string
verplicht
Possible values: user
status
string
verplicht
Possible values: active, invited, requested-to-join
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Remove a member from a team.
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'